
%   
%   Messen mit der OnBoard-Soundkarte
% 
%   Dipl.-Ing. Armin Rohnen LbA
%   Labor fr Maschinendynamik
%   Hochschule fr angewandte Wissenschaften Mnchen
%   University of applied sciences Munich
%
%   09. November 2016
%
%%
% soundkarte_01.m are free software
% you can redistribute it and/or modify it under the terms of the 
% GNU General Public License as published by the Free Software Foundation;
% either version 3, or (at your option) any later version.
%
% soundkarte_01.m are distributed in the hope that it will be useful, 
% but without any warranty; without even the implied warranty of 
% merchantability or fitness for a particular purpose. See the GNU General
% Public License for more details.
%
%%

%
% 1. einfache Messung
%
%%

audio = audiodevinfo;   % mit audiodevinfo die Informationen ber das 
                        % AUDIO-Device auslesen
fs = 48000;             % Abtastrate in Messwerte/Sekunde
nBits = 24;             % Auflsung des Messwerts = 24 Bit
nChannels = 2;          % Stereo
messzeit = 20;          % Messzeit in Sekunden
kalibrierwert = 25.4/1000;
                        % der Kalibrierwert des Mikrofons muss aus dem 
                        % Datenblatt des bertragen werden
                        % Die Angabe erfolgt in mV/Pa
ID = 1;                 % ID des fr die Aufzeichnung verwendeten Soundkarten-Eingangs

messgeraet = audiorecorder(fs,nBits,nChannels, ID);
                        % legt das Messgert an
messgeraet.StartFcn = 'disp(''Messung startet'')';
messgeraet.StopFcn = 'disp(''Messung beendet'')';
                        % gibt eine Bildschirmanzeige fr Beginn und Ende der Messung
                        
record(messgeraet, messzeit); % fhrt eine Aufzeichnung in der Lnge Messzeit in Sekunden durch
messdaten = getaudiodata(messgeraet);
